﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tutorial_3
{
    class VTNZ_StoreFront : IStoreFront
    {
        string _storefrontName;
        string _storefrontAddress;
        string _storefrontPhoneNumber;
        DateTime[] _storefrontOpeningTime;
        TimeSpan[] _storefrontTimeOpen;

        List<IProduct> _storeProducts;

        public string GetName => _storefrontName;

        public string GetAddress => _storefrontAddress;

        public DateTime[] GetOpenHours => _storefrontOpeningTime;

        public TimeSpan[] GetOpenTime => _storefrontTimeOpen;

        public string GetPhoneNumber => _storefrontPhoneNumber;

        public List<IProduct> GetProducts => _storeProducts;

        public VTNZ_StoreFront(string name, string location, string phone, DateTime[] dayStartTimes, TimeSpan[] dayLengths)
        {
            _storefrontName = name;
            _storefrontAddress = location;
            _storefrontPhoneNumber = phone;
            _storefrontOpeningTime = dayStartTimes;
            _storefrontTimeOpen = dayLengths;

            _storeProducts = new List<IProduct>();
        }
    }
}
